%define prefix /usr
%define name open-teacher
%define version 3.0
%define release %mkrel 2
%define url http://openteacher.org/

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Education
URL:		%{url}
Source:		openteacher-%{version}.tar.xz
Summary:	An open source application that helps you learn a foreign language!
Summary(de):	Eine Open-Source-Anwendung, hilft beim erlernen von Fremdsprache!
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	task-qt4
Requires:	python
Requires:	python-argparse
Requires:	espeak
BuildArch: 	noarch
Obsoletes:	%name < %version

%description
OpenTeacher is an open source software that helps you in 
learning a foreign language!

Enter a list of words in both a known and a foreign language, 
and OpenTeacher tests you.
Here are some key features of "OpenTeacher":

· Smart question asking
· Think answer, shuffle answer and repeat answer input modes
· Easy symbol and Greek input
· Read and write T2K (Teach2000) and wrts files
· Save and open your online WRTS lists
· Support for synonyms
· Printing your word lists
· Available in English, Spanish, German, Dutch and Hungarian


#german
%description -l de
OpenTeacher ist ein Open-Source-Software, die Ihnen hilft, in eine 
Fremdsprache zu lernen!

Geben Sie eine Liste von Wörtern in beiden Sprachen ein und OpenTeacher testet ihr Wissen danach ab.
Hier sind einige der wichtigsten Features von "OpenTeacher":

· Smart Frage fragen
· Denken Sie beantworten, shuffle zu beantworten und zu 
  wiederholen Antwort Eingabemodi
· Einfache Symbole und griechische Eingang
· Lesen und schreiben T2K (Teach2000) und WRTs Dateien
· Speichern und öffnen Ihrer Online-WRTs Listen
· Unterstützung für Synonyme
· Drucken Sie Ihre Wortlisten
· Verfügbar in Englisch, Spanisch, Deutsch, Niederländisch und  
  Ungarisch

%prep

%setup -q -n openteacher-%{version}

%build

%{__python} setup.py build

%install
rm -rf %{buildroot}

%{__python} setup.py install --root %{buildroot}
rm -f %{buildroot}%{py_puresitedir}/*.egg-info


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/openteacher.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Exec=openteacher
Icon=openteacher.png
Type=Application
Terminal=false
Name=Open-Teacher
Comment=%{summary}
Comment[de]=Eine Open-Source-Anwendung, hilft beim erlernen von Fremdsprache!
StartupNotify=false
Categories=Educational;Teaching;X-MandrivaLinux-MoreApplications-Education-Other;
MimeType=application/x-ot;
EOF


%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/openteacher
%{_datadir}/applications/openteacher.desktop
%{_datadir}/mime/packages/openteacher.xml
%{_iconsdir}/hicolor/128x128/*
/usr/lib/python2.7/site-packages/

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Fri Aug 16 2013 billybot <billybot> 3.0-2pclos2013
- update python 2.7

* Sun Nov 25 2012 daniel <meisssw01 at gmail.com> 3.0-1leiche2012
- upstream tarball 

* Sun Oct 16 2011 leiche <meisssw01 at gmail.com> 2.2-1leiche2011
- Initial package
